Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453316 - Frequent segv on start
Summary: Frequent segv on start
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gedit
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-29 15:40 UTC by Mamoru TASAKA
Modified: 2008-08-28 15:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-28 15:33:23 UTC


Attachments (Terms of Use)
gdb log of gedit when case 1 happens (deleted)
2008-06-29 15:40 UTC, Mamoru TASAKA
no flags Details
gdb log of gedit this time (case 1) (deleted)
2008-07-10 19:17 UTC, Mamoru TASAKA
no flags Details

Description Mamoru TASAKA 2008-06-29 15:40:09 UTC
Description of problem:
1. gedit causes segv on start (just lauching it) frequently
2. After logging in GNOME, when I launch gedit on one terminal, switch to
   another workspace and launch another gedit, gedit won't launch and in the
previous
   workspace I see gedit having caused segv frequently.


Version-Release number of selected component (if applicable):
gedit-2.23.1-1.fc10
gtk2-2.13.3-3.fc10.i386
glib2-2.17.2-2.fc10.i386

How reproducible:
Case1: 70%
Case2: 90%

Steps to Reproduce:
1. See above
2.
3.
  
Actual results:
Log for case 1 attached.

Comment 1 Mamoru TASAKA 2008-06-29 15:40:09 UTC
Created attachment 310539 [details]
gdb log of gedit when case 1 happens

Comment 2 Matthias Clasen 2008-07-10 17:16:04 UTC
Do you still see this with gtk2 2.13.4 ?

Comment 3 Mamoru TASAKA 2008-07-10 19:17:27 UTC
Created attachment 311506 [details]
gdb log of gedit this time (case 1)

(In reply to comment #2)
> Do you still see this with gtk2 2.13.4 ?

Yes, sometimes.

Comment 4 Mamoru TASAKA 2008-07-31 17:16:59 UTC
Just leaving a note that I still see this problem on today' rawhide.

Comment 5 Mamoru TASAKA 2008-08-28 15:33:23 UTC
It seems now I don't see this issue anymore. Although I don't know what component was
culprit, I close this bug for now. I will reopen this when this issue reappears.

Thank you.


Note You need to log in before you can comment on or make changes to this bug.